## org.hibernate.engine.transaction
Class Isolater.JdbcDelegate

    java.lang.Object
      org.hibernate.engine.transaction.Isolater.JdbcDelegate

Enclosing class:
  Isolater

    public static class Isolater.JdbcDelegate

extends Object

An isolation delegate for JDBC-based transactions. Basically just grabs a new connection and does the work on that.

Constructor Summary
`Isolater.JdbcDelegate(SessionImplementor session)`

Method Summary
`void` `delegateWork(IsolatedWork work, boolean transacted)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Isolater.JdbcDelegate

    public Isolater.JdbcDelegate(SessionImplementor session)

Method Detail

### delegateWork

    public void delegateWork(IsolatedWork work,
                             boolean transacted)
                      throws HibernateException

  Throws:
    `HibernateException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.